Debian Bug report logs - #318093
xmms: XMMS does not start with Xorg and enabled CompositeExtension

version graph

Package: xmms; Maintainer for xmms is (unknown);

Reported by: Jan Christoph Uhde <UhdeJC@gmx.net>

Date: Wed, 13 Jul 2005 12:03:08 UTC

Severity: important

Tags: upstream

Merged with 318582

Found in version 1.2.10+cvs20050209-2

Fixed in version 1:1.2.10+20070601-1+rm

Done: Marco Rodrigues <gothicx@sapo.pt>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.xmms.org/show_bug.cgi?id=1907

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, UhdeJC@gmx.net, Josip Rodin <joy-packages@debian.org>:
Bug#318093; Package xmms. Full text and rfc822 format available.

Acknowledgement sent to Jan Christoph Uhde <UhdeJC@gmx.net>:
New Bug report received and forwarded. Copy sent to UhdeJC@gmx.net, Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jan Christoph Uhde <UhdeJC@gmx.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xmms: XMMS does not start with Xorg and enabled CompositeExtension
Date: Wed, 13 Jul 2005 14:00:33 +0200
Package: xmms
Version: 1.2.10+cvs20050209-2
Severity: grave
Justification: renders package unusable

foo@bar:~$ xmms
Message: device: default
Gdk-ERROR **: BadMatch (invalid parameter attributes)
  serial 468 error_code 8 request_code 2 minor_code 0

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12.2_obi_desktop
Locale: LANG=de_DE, LC_CTYPE=de_DE (charmap=ISO-8859-1)

Versions of packages xmms depends on:
ii  libc6                     2.3.2.ds1-22   GNU C Library: Shared libraries an
ii  libglib1.2                1.2.10-10      The GLib library of C routines
ii  libgtk1.2                 1.2.10-17      The GIMP Toolkit set of widgets fo
ii  libice6                   6.8.2.dfsg.1-1 Inter-Client Exchange library
ii  libsm6                    6.8.2.dfsg.1-1 X Window System Session Management
ii  libssl0.9.7               0.9.7g-1       SSL shared libraries
ii  libx11-6                  6.8.2.dfsg.1-1 X Window System protocol client li
ii  libxext6                  6.8.2.dfsg.1-1 X Window System miscellaneous exte
ii  libxi6                    6.8.2.dfsg.1-1 X Window System Input extension li
ii  xlibs                     6.8.2.dfsg.1-1 X Window System client libraries m

Versions of packages xmms recommends:
ii  libasound2                1.0.9-3        ALSA library
ii  libaudiofile0             0.2.6-6        Open-source version of SGI's audio
ii  libesd0                   0.2.36-1       Enlightened Sound Daemon - Shared 
ii  libmikmod2                3.1.11-a-6     A portable sound library
ii  libogg0                   1.1.2-1        Ogg Bitstream Library
ii  libvorbis0a               1.1.0-1        The Vorbis General Audio Compressi
ii  libvorbisfile3            1.1.0-1        The Vorbis General Audio Compressi
ii  unzip                     5.52-3         De-archiver for .zip files
ii  xlibmesa-gl [libgl1]      6.8.2.dfsg.1-1 Mesa 3D graphics library [X.Org]
ii  zlib1g                    1:1.2.2-8      compression library - runtime

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#318093; Package xmms. Full text and rfc822 format available.

Acknowledgement sent to Christopher Martin <christopher.martin@utoronto.ca>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #10 received at 318093@bugs.debian.org (full text, mbox):

From: Christopher Martin <chrsmrtn@gmail.com>
To: Jan Christoph Uhde <UhdeJC@gmx.net>, 318093@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#318093: xmms: XMMS does not start with Xorg and enabled CompositeExtension
Date: Thu, 14 Jul 2005 22:36:55 +0000
[Message part 1 (text/plain, inline)]
severity 318093 important
forwarded 318093 http://bugs.xmms.org/show_bug.cgi?id=1907
stop

On July 13, 2005 12:00, Jan Christoph Uhde wrote:
> Package: xmms
> Version: 1.2.10+cvs20050209-2
> Severity: grave
> Justification: renders package unusable

> foo@bar:~$ xmms
> Message: device: default
> Gdk-ERROR **: BadMatch (invalid parameter attributes)
>   serial 468 error_code 8 request_code 2 minor_code 0

Please see http://bugs.xmms.org/show_bug.cgi?id=1907 for an explanation of 
the problem. In short, there are certain compatibility issues with GTK+ 
1.2.x applications and the Composite extension, as you have discovered.

There is a work-around, however: 'export XLIB_SKIP_ARGB_VISUALS=1 && xmms' 
Furthermore, since this doesn't affect all users (Composite is disabled by 
default, and obviously for good reason), I'm lowering this bug's severity 
to important.

Cheers,
Christopher Martin
[Message part 2 (application/pgp-signature, inline)]

Severity set to `important'. Request was from Christopher Martin <chrsmrtn@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://bugs.xmms.org/show_bug.cgi?id=1907. Request was from Christopher Martin <chrsmrtn@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 318093 318582. Request was from Christopher Martin <chrsmrtn@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Marco Rodrigues <gothicx@sapo.pt>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jan Christoph Uhde <UhdeJC@gmx.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 318093-done@bugs.debian.org (full text, mbox):

From: Marco Rodrigues <gothicx@sapo.pt>
To: 318093-done@bugs.debian.org
Subject: xmms has been removed from Debian, closing #318093
Date: Sun, 27 Apr 2008 23:51:34 +0100
Version: 1:1.2.10+20070601-1+rm

The xmms package has been removed from Debian testing, unstable and
experimental, so I am now closing the bugs that were still opened
against it.

For more information about this package's removal, read
http://bugs.debian.org/461309 . That bug might give the reasons why
this package was removed, and suggestions of possible replacements.

Don't hesitate to reply to this mail if you have any question.

Thank you for your contribution to Debian.

--
Marco Rodrigues
http://Marco.Tondela.org




Reply sent to Marco Rodrigues <gothicx@sapo.pt>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ralf Hildebrandt <ralf.hildebrandt@charite.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Aug 2008 10:23:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:48:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.